/*
 * GkSu -- Gtk+ Frontend to su and sudo
 * Copyright (C) 2002 Gustavo Noronha Silva
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __SUDO_H__
#define __SUDO_H__

#include "gksu.h"

gint create_cmd (gchar *user, gchar **cmd, gint num_args, 
		 gint current_arg, gchar **args,
		 gboolean keep_env);

void clean_cmd (gchar **cmd);

int sudo_do (GkConf *conf);

#endif
